<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
]>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" xmlns:added="http://projets.admisource.gouv.fr/xemelios/namespaces#added" version="2.0">
    <xsl:character-map name="accents">
        <xsl:output-character character="à" string="&amp;#224;"/>
        <xsl:output-character character="é" string="&amp;#233;"/>
        <xsl:output-character character="è" string="&amp;#232;"/>
        <xsl:output-character character="ê" string="&amp;#234;"/>
        <xsl:output-character character="ë" string="&amp;#235;"/>
        <xsl:output-character character="î" string="&amp;#238;"/>
        <xsl:output-character character="ï" string="&amp;#239;"/>
        <xsl:output-character character="ô" string="&amp;#244;"/>
        <xsl:output-character character="ù" string="&amp;#249;"/>
    </xsl:character-map>

    <xsl:output method="xhtml" indent="yes" use-character-maps="accents" encoding="ISO-8859-1"/>
    <xsl:decimal-format name="decformat" decimal-separator="," grouping-separator=" " digit="#" pattern-separator=";" NaN="NaN" minus-sign="-"/>

    <!-- Inclusion des XSL externes -->
    <xsl:include href="./common-xsl/Style.xsl"/>
    <xsl:include href="./common-xsl/Error.xsl"/>
    <xsl:include href="./common-xsl/Navigate.xsl"/>
    <xsl:include href="./common-xsl/Header.xsl"/>
    <xsl:include href="./common-xsl/Number.xsl"/>

    <!-- Paramètres d'entrée -->
    <xsl:param name="show.formulaire"/>
    <xsl:param name="browser-destination"/>

    <!-- Paramètres d'entrée de la liste de résultat -->
    <xsl:param name="intitule">0</xsl:param>

    <!-- Paramètres d'erreur -->
    <xsl:param name="error.message">nomessage</xsl:param>

    <!-- Variables -->
    <xsl:variable name="page-format" select="paysage"/>
    <xsl:variable name="NumPage" select="/n:CompteGestion/n:SP_BilanActif/n:PageSP_BilanActif/n:Pied/@NumPage"/>
    <xsl:variable name="isLastPage" select="/n:CompteGestion/n:SP_BilanActif/n:PageSP_BilanActif/@added:isLastPage"/>


    <!-- pour eviter les sorties parasites de tags non matches -->
    <xsl:template match="*"/>

    <xsl:variable name="Entete">
        <xsl:copy-of select="/n:CompteGestion/n:Entete"/>
    </xsl:variable>

    <xsl:template match="/n:CompteGestion">
        <html>
            <head>
                <title>
                    <xsl:choose>
                        <xsl:when test="$Entete//n:Nomenclature/@V='M21'">Gestion Patrimoniale et Financière</xsl:when>
                        <xsl:otherwise>Situation Patrimoniale - Bilan Actif</xsl:otherwise>
                    </xsl:choose>
                </title>
                <xsl:call-template name="style"/>
            </head>
            <body width="100%">
                <xsl:if test="$error.message!='nomessage'">
                    <xsl:attribute name="onload">javascript:showDialog('<xsl:value-of select="$error.message"/>');</xsl:attribute>
                </xsl:if>
                <xsl:call-template name="Error"><!--xsl:with-param name="error.message" select="$error.message"/--></xsl:call-template>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">SP_BilanActif</xsl:with-param>
                    <xsl:with-param name="elementId">PageSP_BilanActif</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneSP_BilanActif</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="isLastPage" select="$isLastPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
                <xsl:call-template name="header">
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="Titre">
                        <xsl:choose>
                            <xsl:when test="$Entete//n:Nomenclature/@V='M21'">COMPTE FINANCIER <xsl:value-of select="$Entete//n:Exercice/@V"/></xsl:when>
                            <xsl:otherwise>Situation Patrimoniale - Bilan Actif</xsl:otherwise>
                        </xsl:choose>
                    </xsl:with-param>
                    <xsl:with-param name="Titre.Plus">
                        <xsl:choose>
                            <xsl:when test="$Entete//n:Nomenclature/@V='M21'"><h2>GESTION PATRIMONIALE ET FINANCIERE</h2></xsl:when>
                        </xsl:choose>
                    </xsl:with-param>
                </xsl:call-template>
                <xsl:call-template name="mainTable">
                    <xsl:with-param name="el" select="/n:CompteGestion/n:SP_BilanActif/n:PageSP_BilanActif"/>
                </xsl:call-template>
                <p>
                    <xsl:choose>
                        <xsl:when test="//n:Pied/@Num2emePage">
                            <center>Page <xsl:choose><xsl:when test="//n:LastPageCG"><xsl:value-of select="//n:Pied/@NumPage"/>-<xsl:value-of select="//n:Pied/@Num2emePage"/> / <xsl:value-of select="//n:LastPageCG/@V"/></xsl:when><xsl:otherwise>- <xsl:value-of select="//n:Pied/@NumPage"/>-<xsl:value-of select="//n:Pied/@Num2emePage"/></xsl:otherwise></xsl:choose></center>
                        </xsl:when>
                        <xsl:otherwise>
                            <center>Page <xsl:choose><xsl:when test="//n:LastPageCG"><xsl:value-of select="//n:Pied/@NumPage"/> / <xsl:value-of select="//n:LastPageCG/@V"/></xsl:when><xsl:otherwise>- <xsl:value-of select="//n:Pied/@NumPage"/></xsl:otherwise></xsl:choose></center>
                        </xsl:otherwise>
                    </xsl:choose>
                </p>
                <center>__________________________________________</center>
                <xsl:call-template name="navigate">
                    <xsl:with-param name="docId">compteGestion</xsl:with-param>
                    <xsl:with-param name="etatId">SP_BilanActif</xsl:with-param>
                    <xsl:with-param name="elementId">PageSP_BilanActif</xsl:with-param>
                    <xsl:with-param name="sous.elementId">LigneSP_BilanActif</xsl:with-param>
                    <xsl:with-param name="NumPage" select="$NumPage"/>
                    <xsl:with-param name="isLastPage" select="$isLastPage"/>
                    <xsl:with-param name="Entete" select="$Entete"/>
                    <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                    <xsl:with-param name="show.formulaire.compte" select="0"/>
                    <xsl:with-param name="show.depense.recette" select="0"/>
                </xsl:call-template>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="mainTable">
        <xsl:param name="el"/>
        
        <xsl:if test="$Entete//n:Nomenclature/@V='M21'"><h3 style="text-align: left;">BILAN</h3></xsl:if>
        <table width="100%" class="bordered" id="main">
            <colgroup>
                <col width="5%"/>
                <col width="35%"/>
                <col width="15%"/>
                <col width="15%"/>
                <col width="15%"/>
                <col width="15%"/>
            </colgroup>
            <thead>
                <tr class="titre">
                    <td colspan="2" rowspan="2" class="bold titre bordered center">ACTIF</td>
                    <td colspan="3" class="bold titre bordered center">Exercice <xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice"/></td>
                    <td class="bold titre bordered center">Exercice <xsl:value-of select="/n:CompteGestion/n:Entete/n:Infos/n:Collectivite/@Exercice - 1"/></td>
                </tr>
                <tr>
                    <td class="bold titre bordered center">BRUT</td>
                    <td class="bold titre bordered center">AMORTISSEMENTS<br/>ET DEPRECIATIONS</td>
                    <td class="bold titre bordered center">NET</td>
                    <td class="bold titre bordered center">NET</td>
                </tr>
            </thead>
            <xsl:choose>
                <xsl:when test="//n:Nomenclature/@V='M21'">
                    <xsl:call-template name="donnees.M21">
                        <xsl:with-param name="el" select="$el"/>
                    </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:for-each select="$el/n:LigneEnteteSP_BilanActif">
                        <tbody>
                            <tr>
                                <xsl:element name="td">
                                    <xsl:attribute name="rowspan">
                                        <xsl:value-of select="count(../n:LigneSP_BilanActif[not(contains(lower-case(@IntituleRubriqueA),'total'))])+1"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="class">bold titre2 bordered</xsl:attribute>
                                    <xsl:value-of select="@Titre1"/>&nbsp;<xsl:value-of select="@Titre2"/>&nbsp;<xsl:value-of select="@Titre3"/>
                                </xsl:element>
                                <!--td class="bordureTopRight" colspan="5"/-->
                            </tr>
                            <xsl:call-template name="donnees">
                                <xsl:with-param name="el" select="$el"/>
                            </xsl:call-template>
                        </tbody>
                    </xsl:for-each>
                </xsl:otherwise>
            </xsl:choose>            
        </table>
    </xsl:template>

    <xsl:template name="donnees">
        <xsl:param name="el"/>
        
        <xsl:for-each select="$el/n:LigneSP_BilanActif">
            <tr>
                <xsl:choose>
                    <xsl:when test="$intitule != '0' and @IntituleRubriqueA=$intitule">
                        <xsl:attribute name="id">highlighted</xsl:attribute>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:choose>
                            <xsl:when test="(position() mod 2) = 0">
                                <xsl:attribute name="id">colorised1</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:attribute name="id">colorised2</xsl:attribute>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:otherwise>
                </xsl:choose>
                <xsl:choose>
                    <xsl:when test="contains(lower-case(@IntituleRubriqueA),'total') and position()!=count(../n:LigneSP_BilanActif)">
                        <td class="libelleLigne bordered bold" colspan="2">
                            <xsl:value-of select="@IntituleRubriqueA"/>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@Brut"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@AmortProv"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN_1"/>
                            </xsl:call-template>
                        </td>
                    </xsl:when>
                    <xsl:when test="contains(lower-case(@IntituleRubriqueA),'total') and position()=count(../n:LigneSP_BilanActif)">
                        <td class="libelleLigne borderedBold bold" colspan="2">
                            <xsl:value-of select="@IntituleRubriqueA"/>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@Brut"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@AmortProv"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN_1"/>
                            </xsl:call-template>
                        </td>
                    </xsl:when>
                    <xsl:otherwise>
                        <td class="libelleLigne bordureRight">
                            <xsl:value-of select="@IntituleRubriqueA"/>
                        </td>
                        <td class="montant bordureRight">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@Brut"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordureRight">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@AmortProv"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordureRight">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordureRight">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN_1"/>
                            </xsl:call-template>
                        </td>
                    </xsl:otherwise>
                </xsl:choose>
            </tr>
        </xsl:for-each>
    </xsl:template>

    <xsl:template name="donnees.M21">
        <xsl:param name="el"/>
        
        <xsl:for-each select="$el/n:LigneSP_BilanActif">
            <xsl:choose>
                <xsl:when test="position()=1 or position()=6 or position()=13 or position()=18 or position()=24">
                    <tr>
                        <xsl:choose>
                            <xsl:when test="$intitule != '0' and @IntituleRubriqueA=$intitule">
                                <xsl:attribute name="id">highlighted</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:choose>
                                    <xsl:when test="((position()-1) mod 2) = 0">
                                        <xsl:attribute name="id">colorised1</xsl:attribute>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:attribute name="id">colorised2</xsl:attribute>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:choose>
                            <xsl:when test="position()=1">
                                <td class="bordureRight" style="background-color: white;">&#160;</td>
                                <td class="bordureRight bordureTop bold bold">IMMOBILISATIONS INCORPORELLES:</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                            </xsl:when>
                            <xsl:when test="position()=6">
                                <td class="bordureRight bordureTop bold bold">IMMOBILISATIONS CORPORELLES:</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                            </xsl:when>
                            <xsl:when test="position()=13">
                                <td class="bordureRight bordureTop bold bold">IMMOBILISATIONS FINANCIERES:</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                            </xsl:when>
                            <xsl:when test="position()=18">
                                <td class="bordureRight">&#160;</td>
                                <td class="bordureRight bold">STOCKS ET EN-COURS:</td>
                                <td class="montant bordureRight bold">&#160;</td>
                                <td class="montant bordureRight bold">&#160;</td>
                                <td class="montant bordureRight bold">&#160;</td>
                                <td class="montant bordureRight bold">&#160;</td>
                            </xsl:when>
                            <xsl:when test="position()=24">
                                <td class="bordureRight bordureTop bold bold">CREANCES D'EXPLOITATION :</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                                <td class="montant bordureRight bordureTop bold">&#160;</td>
                            </xsl:when>
                        </xsl:choose>                        
                    </tr>
                </xsl:when>
            </xsl:choose>
            <tr>
                <xsl:choose>
                    <xsl:when test="$intitule != '0' and @IntituleRubriqueA=$intitule">
                        <xsl:attribute name="id">highlighted</xsl:attribute>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:choose>
                            <xsl:when test="(position() mod 2) = 0">
                                <xsl:attribute name="id">colorised1</xsl:attribute>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:attribute name="id">colorised2</xsl:attribute>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:otherwise>
                </xsl:choose>
                <!--xsl:choose>
                    <xsl:when test="contains(lower-case(@IntituleRubriqueA),'total') and position()!=count(../n:LigneSP_BilanActif)">
                        <td class="libelleLigne bordered bold" colspan="2">
                            <xsl:value-of select="@IntituleRubriqueA"/>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@Brut"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@AmortProv"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant bordered bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN_1"/>
                            </xsl:call-template>
                        </td>
                    </xsl:when>
                    <xsl:when test="contains(lower-case(@IntituleRubriqueA),'total') and position()=count(../n:LigneSP_BilanActif)">
                        <td class="libelleLigne borderedBold bold" colspan="2">
                            <xsl:value-of select="@IntituleRubriqueA"/>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@Brut"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@AmortProv"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN"/>
                            </xsl:call-template>
                        </td>
                        <td class="montant borderedBold bold">
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN_1"/>
                            </xsl:call-template>
                        </td>
                    </xsl:when>
                    <xsl:otherwise-->
                <xsl:choose>
                    <xsl:when test="position()=1">
                        <td rowspan="19" class="center bold bordureRight bordureBottom">
                            <xsl:choose>
                                <xsl:when test="//n:*/@Modele='23'">ACTIF<br/><br/><br/>IMMOBILISE</xsl:when>
                                <xsl:otherwise>&#160;</xsl:otherwise>
                            </xsl:choose>
                        </td>
                    </xsl:when>
                    <xsl:when test="position()=18">
                        <td rowspan="16" class="center bold bordureRight bordureBottom">
                            <xsl:choose>
                                <xsl:when test="//n:*/@Modele='23'">ACTIF<br/><br/><br/>CIRCULANT</xsl:when>
                                <xsl:otherwise>&#160;</xsl:otherwise>
                            </xsl:choose>
                        </td>
                    </xsl:when>
                    <xsl:when test="position()=33">
                        <td rowspan="7" class="center bold bordureRight bordureBottom">
                            <xsl:choose>
                                <xsl:when test="//n:*/@Modele='23'">COMPTES DE<br/><br/><br/>REGULARISATION</xsl:when>
                                <xsl:otherwise>&#160;</xsl:otherwise>
                            </xsl:choose>
                        </td>
                    </xsl:when>
                </xsl:choose>
                        <td>
                            <xsl:choose>
                                <xsl:when test="position()=17"><xsl:attribute name="class">borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=29 or position()=30 or position()=31 or position()=32"><xsl:attribute name="class">bordureRight bold</xsl:attribute></xsl:when>
                                <xsl:when test="position()=33"><xsl:attribute name="class">borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=39"><xsl:attribute name="class">borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:otherwise><xsl:attribute name="class">bordureRight</xsl:attribute></xsl:otherwise>
                            </xsl:choose>
                            <xsl:choose>
                                <xsl:when test="position()=1">. Frais d'établissement</xsl:when>
                                <xsl:when test="position()=2">. Frais d'études,de recherche et développement</xsl:when>
                                <xsl:when test="position()=3">. Concessions et droit similaires, brevets, licences, marques et procédés, droits et valeurs similaires</xsl:when>
                                <xsl:when test="position()=4">. Autres immobilisations incorporelles</xsl:when>
                                <xsl:when test="position()=5">. Immobilisations incorporelles en cours</xsl:when>
                                <xsl:when test="position()=6">. Terrains</xsl:when>
                                <xsl:when test="position()=7">. Constructions</xsl:when>
                                <xsl:when test="position()=8">. Installations techniques, matériel et outillage industriel</xsl:when>
                                <xsl:when test="position()=9">. Autres immobilisations corporelles</xsl:when>
                                <xsl:when test="position()=10">. Immobilisations corporelles en cours</xsl:when>
                                <xsl:when test="position()=11">. Immobilisations reçues en affectation</xsl:when>
                                <xsl:when test="position()=12">. Immobilisations affectées ou mises à disposition</xsl:when>
                                <xsl:when test="position()=13">. Participations et créances rattachées à des participations</xsl:when>
                                <xsl:when test="position()=14">. Autres titres immobilisés</xsl:when>
                                <xsl:when test="position()=15">. Prêts</xsl:when>
                                <xsl:when test="position()=16">. Autres</xsl:when>
                                <xsl:when test="position()=17">TOTAL I</xsl:when>                                
                                <xsl:when test="position()=18">. Matières premières</xsl:when>
                                <xsl:when test="position()=19">. Autres approvisionnements</xsl:when>
                                <xsl:when test="position()=20">. En-coursde productions de biens</xsl:when>
                                <xsl:when test="position()=21">. Produits</xsl:when>
                                <xsl:when test="position()=22">. Marchandises</xsl:when>
                                <xsl:when test="position()=23">. Autres stocks</xsl:when>
                                <xsl:when test="position()=24">. Hospitalisés et consultants</xsl:when>
                                <xsl:when test="position()=25">. Caisse pivot</xsl:when>
                                <xsl:when test="position()=26">. Autres tiers payants</xsl:when>
                                <xsl:when test="position()=27">. Créances irrecouvrables admises en non-valeur</xsl:when>
                                <xsl:when test="position()=28">. Autres</xsl:when>
                                <xsl:when test="position()=29">CREANCES DIVERSES :</xsl:when>
                                <xsl:when test="position()=30">VALEURS MOBILIERES DE PLACEMENT</xsl:when>
                                <xsl:when test="position()=31">DISPONIBILITES</xsl:when>
                                <xsl:when test="position()=32">CHARGES CONSTATEES D'AVANCE</xsl:when>
                                <xsl:when test="position()=33">TOTAL II</xsl:when>
                                <xsl:when test="position()=34">CHARGES A REPARTIR SUR PLUSIEURS EXERCICES</xsl:when>
                                <xsl:when test="position()=35">PRIMES DE REMBOURSEMENT DES OBLIGATIONS</xsl:when>
                                <xsl:when test="position()=36">DEPENSES A CLASSER OU REGULARISER</xsl:when>
                                <xsl:when test="position()=37">DOTATIONS ATTENDUES</xsl:when>
                                <xsl:when test="position()=38">ECARTS DE CONVERSION D'ACTIF</xsl:when>
                                <xsl:when test="position()=39">TOTAL GENERAL</xsl:when>
                            </xsl:choose>                            
                        </td>
                        <td>
                            <xsl:choose>
                                <xsl:when test="position()=17"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=33"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=39"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:otherwise><xsl:attribute name="class">montant bordureRight</xsl:attribute></xsl:otherwise>
                            </xsl:choose>
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@Brut"/>
                            </xsl:call-template>
                        </td>
                        <td>
                            <xsl:choose>
                                <xsl:when test="position()=17"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=33"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=39"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:otherwise><xsl:attribute name="class">montant bordureRight</xsl:attribute></xsl:otherwise>
                            </xsl:choose>
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@AmortProv"/>
                            </xsl:call-template>
                        </td>
                        <td>
                            <xsl:choose>
                                <xsl:when test="position()=17"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=33"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=39"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:otherwise><xsl:attribute name="class">montant bordureRight</xsl:attribute></xsl:otherwise>
                            </xsl:choose>
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN"/>
                            </xsl:call-template>
                        </td>
                        <td>
                            <xsl:choose>
                                <xsl:when test="position()=17"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=33"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:when test="position()=39"><xsl:attribute name="class">montant borderedBold bold center</xsl:attribute></xsl:when>
                                <xsl:otherwise><xsl:attribute name="class">montant bordureRight</xsl:attribute></xsl:otherwise>
                            </xsl:choose>
                            <xsl:call-template name="number">
                                <xsl:with-param name="num" select="@NetN_1"/>
                            </xsl:call-template>
                        </td>
                    <!--/xsl:otherwise>
                </xsl:choose-->
            </tr>
        </xsl:for-each>
    </xsl:template>
</xsl:transform>
